org.deidentifier.arx.gui.view.impl.utility

## Class AnalysisContextClassification

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.utility.AnalysisContextClassification

All Implemented Interfaces:
  AnalysisContextVisualization

    public class AnalysisContextClassification
    extends java.lang.Object
    implements AnalysisContextVisualization

The current context.

Author:
  Fabian Prasser

### Field Summary

Fields
`DataHandle` `handle` Context information.
`Model` `model` Context information.

### Constructor Summary

Constructors
Constructor and Description
`AnalysisContextClassification(AnalysisContext context)` Creates a new context from the given context.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isAttributeSelected(java.lang.String attribute)` Is the provided attribute selected according to the config?.
`boolean` `isValid()` Is this a valid context.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### handle

    public DataHandle handle

Context information.

#### model

    public Model model

Context information.

### Constructor Detail

#### AnalysisContextClassification

    public AnalysisContextClassification(AnalysisContext context)

Creates a new context from the given context.

Parameters:
  `context` -

### Method Detail

#### isAttributeSelected

    public boolean isAttributeSelected(java.lang.String attribute)

Description copied from interface: `AnalysisContextVisualization`
Is the provided attribute selected according to the config?.

Specified by:
  `isAttributeSelected` in interface `AnalysisContextVisualization`
Returns:

#### isValid

    public boolean isValid()

Is this a valid context.

Specified by:
  `isValid` in interface `AnalysisContextVisualization`
Returns: